# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate grep-searcher

Name:           rust-%{crate}
Version:        0.1.1
Release:        4%{?dist}
Summary:        Fast line oriented regex searching as a library

# Upstream license specification: Unlicense/MIT
License:        Unlicense or MIT
URL:            https://crates.io/crates/grep-searcher
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No SIMD
# * bump to memmap 0.7
Patch0:         grep-searcher-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(bytecount/default) >= 0.3.2 with crate(bytecount/default) < 0.4.0)
BuildRequires:  (crate(encoding_rs/default) >= 0.8.6 with crate(encoding_rs/default) < 0.9.0)
BuildRequires:  (crate(encoding_rs_io/default) >= 0.1.2 with crate(encoding_rs_io/default) < 0.2.0)
BuildRequires:  (crate(grep-matcher/default) >= 0.1.1 with crate(grep-matcher/default) < 0.2.0)
BuildRequires:  (crate(log/default) >= 0.4.5 with crate(log/default) < 0.5.0)
BuildRequires:  (crate(memchr/default) >= 2.0.2 with crate(memchr/default) < 3.0.0)
BuildRequires:  (crate(memmap/default) >= 0.7.0 with crate(memmap/default) < 0.8.0)
%if %{with check}
BuildRequires:  (crate(grep-regex/default) >= 0.1.1 with crate(grep-regex/default) < 0.2.0)
BuildRequires:  (crate(regex/default) >= 1.0.5 with crate(regex/default) < 2.0.0)
%endif

%global _description \
Fast line oriented regex searching as a library.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license UNLICENSE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Nov 27 2018 Josh Stone <jistone@redhat.com> - 0.1.1-4
- Bump to memmap 0.7

* Sun Oct 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.1-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.1-2
- Run tests in infrastructure

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.1-1
- Initial package
